%{?nodejs_find_provides_and_requires}

%global packagename markdown-it
%global enable_tests 1

Name:		nodejs-markdown-it
Version:	7.0.0
Release:	1%{?dist}
Summary:	Markdown-it - modern pluggable markdown parser

License:	MIT
URL:		https://github.com/markdown-it/markdown-it
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source3:	support-%{version}.tar.bz2
Source10:	dl-tests.sh

Source11:	https://raw.githubusercontent.com/markdown-it/markdown-it/%{version}/Makefile


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(argparse)
BuildRequires:	npm(chai)
BuildRequires:	npm(entities)
BuildRequires:	npm(linkify-it)
BuildRequires:	npm(markdown-it-for-inline)
BuildRequires:	npm(markdown-it-testgen)
BuildRequires:	npm(mdurl)
BuildRequires:	npm(uc.micro)
%endif

%description
Markdown-it - modern pluggable markdown parser.


%prep
%autosetup -n package
# setup the tests, support, and docs
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package

cp -p %{SOURCE11} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md docs
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 7.0.0-1
- Initial packaging
